Enhavo
Indekso 🔎︎

# Asc Function (BASIC)

Liveras la Askian (ASCII = American Standard Code for Information Interchange) valoron de la unua signo en ĉena esprimo.

### Syntax:

    Asc(string) As Long

### Return value:

Long

### Parameters:

string: Any valid string expression. Only the first character in the string is relevant.

Uzu la funkcion Asc por anstataŭi klavojn per valoroj. Se la funkcio Asc ricevas vakan ĉenon, LibreOffice Basic raportas rultempan eraron. Krom 7-bitaj Askiaj signoj (Kodoj 0-127), la Askia funkcio povas trakti nepreseblajn signojn en Askia kodo. Ĉi tiu funkcio ankaŭ povas trakti 16-bitajn unikodajn signojn.

### Error codes:

5 Nevalida procedurvoko

### Example:

    Sub ExampleASC
        Print ASC("A") REM liveras 65
        Print ASC(string:="Z") ' returns 90
        Print ASC("Las Vegas") REM liveras 76, ĉar nur la unua signo traktiĝas
    End Sub

Rilataj temoj

AscW Function [VBA]

Chr Function

ChrW Function [VBA]